Main Page Class Hierarchy Compound List File List Compound Members File Members

# FRAME_HEADER Struct Reference

`#include <kwhdrs_ew.h>`

List of all members.

## Public Attributes
unsigned char | frameType
unsigned char | instrumentCode
unsigned short | recorderID
unsigned short | frameSize
unsigned short | blockTime
unsigned short | blockTime2
unsigned short | channelBitMap
unsigned short | streamPar
unsigned char | frameStatus
unsigned char | frameStatus2
unsigned short | msec
unsigned char | channelBitMap1
unsigned char | timeCode [TIMECODE_BYTES]

## Member Data Documentation

unsigned short FRAME_HEADER::blockTime

| Definition at line 922 of file kwhdrs_ew.h. Referenced by read_frame().

unsigned short FRAME_HEADER::blockTime2

| Definition at line 923 of file kwhdrs_ew.h. Referenced by read_frame().

unsigned short FRAME_HEADER::channelBitMap

| Definition at line 924 of file kwhdrs_ew.h. Referenced by read_frame().

unsigned char FRAME_HEADER::channelBitMap1

| Definition at line 929 of file kwhdrs_ew.h. Referenced by read_frame().

unsigned short FRAME_HEADER::frameSize

| Definition at line 916 of file kwhdrs_ew.h. Referenced by read_frame().

unsigned char FRAME_HEADER::frameStatus

| Definition at line 926 of file kwhdrs_ew.h. Referenced by read_frame().

unsigned char FRAME_HEADER::frameStatus2

| Definition at line 927 of file kwhdrs_ew.h. Referenced by read_frame().

unsigned char FRAME_HEADER::frameType

| Definition at line 913 of file kwhdrs_ew.h. Referenced by read_frame().

unsigned char FRAME_HEADER::instrumentCode

| Definition at line 914 of file kwhdrs_ew.h. Referenced by read_frame().

unsigned short FRAME_HEADER::msec

| Definition at line 928 of file kwhdrs_ew.h. Referenced by read_frame().

unsigned short FRAME_HEADER::recorderID

| Definition at line 915 of file kwhdrs_ew.h. Referenced by read_frame().

unsigned short FRAME_HEADER::streamPar

| Definition at line 925 of file kwhdrs_ew.h. Referenced by read_frame().

unsigned char FRAME_HEADER::timeCode[TIMECODE_BYTES]

| Definition at line 930 of file kwhdrs_ew.h.

The documentation for this struct was generated from the following file:

- kwhdrs_ew.h